Package org.apache.torque.templates

# Enum Class TorqueSchemaIdMethod

java.lang.Object
java.lang.Enum<TorqueSchemaIdMethod>
org.apache.torque.templates.TorqueSchemaIdMethod

All Implemented Interfaces:
  `Serializable`, `Comparable<TorqueSchemaIdMethod>`, `Constable`

public enum TorqueSchemaIdMethod extends Enum<TorqueSchemaIdMethod>
Holds all IdMethods known in the Torque schema

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `IDBROKER`
  Primary keys are generated via the IdBroker.
  `NATIVE`
  Primary keys are generated via the native method of the database (i.e. sequences or autoincrement).
  `NONE`
  Primary keys are not generated automatically.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Returns the name of the idMethod.
  `String`
  `toString()`
  `static TorqueSchemaIdMethod`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TorqueSchemaIdMethod[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### IDBROKER

    public static final TorqueSchemaIdMethod IDBROKER
    Primary keys are generated via the IdBroker.

  - ### NATIVE

    public static final TorqueSchemaIdMethod NATIVE
    Primary keys are generated via the native method of the database (i.e. sequences or autoincrement).

  - ### NONE

    public static final TorqueSchemaIdMethod NONE
    Primary keys are not generated automatically.

- ## Method Details

  - ### values

    public static TorqueSchemaIdMethod[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TorqueSchemaIdMethod valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getName

    public String getName()
    Returns the name of the idMethod.
    Returns:
      the name of the idMethod, not null.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<TorqueSchemaIdMethod>`